5.2.0-git
04/23/2014

[#3258] Forwarding should show "disabled" if no forward address is set
Summary Forwarding should show "disabled" if no forward address is set
Queue Ingo
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester selsky (at) columbia (dot) edu
Created 01/13/2006 (3022 days ago)
Due
Updated 04/13/2007 (2567 days ago)
Assigned
Resolved
Milestone
Patch No

History
04/13/2007 09:42:58 PM Chuck Hagenbuch Comment #5
State ⇒ Accepted
Reply to this comment
I think we should go ahead and do that - seems worth it and as long as 
we can have our backends do the validation, not so bad.
09/25/2006 04:51:20 PM Jan Schneider Comment #4 Reply to this comment
That still requires us to introspect each rule in the rule overview, 
because only if you analyze the rule in the context of the used script 
backend, you can tell if a rule is incomplete or not. Might be worth 
it though.
08/29/2006 01:26:01 PM gergely (at) risko (dot) hu Comment #3 Reply to this comment
I think this is only a display confusion, not a db, so you can't solve 
it in the db level.



What if we create a new symbol instead of the green check, namely a 
yellow question mark. If the state is enabled but the rule is not well 
configured (no addresses for forward, no message for vacation, etc.) 
we display that. It  means the state is enabled in database, but the 
displayed icon is a warning to the user. She can only change that to a 
red cross of course with a click, so he must fix the rule, if she 
wants the green check. And if she fixes, the rule 'automatically gets 
enabled'.



gergely
04/24/2006 01:04:30 PM Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I'm not sure anymore if this is really a good thing. The rule's status 
is saved independently from the rule itself, thus we would need to 
change the status additionally when saving the rule. To be consistent, 
we would need to enable as well as disable the rule automatically, but 
I think that enabling the rule automatically (especially if combined 
with the preference to automatically upload scripts) could make some 
users really unhappy.
01/13/2006 09:07:33 AM Jan Schneider State ⇒ Accepted
 
01/13/2006 12:17:02 AM Matt Selsky Comment #1
State ⇒ New
Queue ⇒ Ingo
Summary ⇒ Forwarding should show "disabled" if no forward address is set
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
If I don't have a forwarding address set up, then the filter list 
shows forwarding as "enabled".  This seems confusing.  Forwarding 
should be disabled unless there's actually an address set.